using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebLetsBuild_ResourceBooker : System.Web.UI.Page
{
  private PlexityHide.GTP.WEB.Gantt_ASPSettings gantt_ASPSettings1;

  private LetsBuild_ResourceBooker_wf.Form1 f1;
  protected void Page_Load(object sender, EventArgs e)
  {    
    this.gantt_ASPSettings1 = new PlexityHide.GTP.WEB.Gantt_ASPSettings();
    gantt_ASPSettings1.Gantt_ASP = Gantt_ASP1;
    Gantt_ASP1.UseMetaFileToConserveMemoryUsageForLargeGantts = false;
        
    f1 = new LetsBuild_ResourceBooker_wf.Form1();
    f1.gantt1.GridProperties.RootNodes_DataSource = null;
    f1.DoAllTheInitWork();
    gantt_ASPSettings1.WrapGantt(f1.gantt1);
    f1.Height = 700;
    Gantt_ASP1.Height = 700;
    if (!Page.IsPostBack)
    {
      // Do not want to mess with the dates shown once the user is working
      Gantt_ASP1.StartTime=new DateTime(2007,2,26).AddHours(8);
      Gantt_ASP1.StopTime=Gantt_ASP1.StartTime.AddHours(18);
    }


    if (Page.Session["loaded_resbook"] == null || (bool)(Page.Session["loaded_resbook"]) == false)
    {
      f1.dataSet1.ReadXml(Page.MapPath(".\\App_Data\\resourcedata.xml"));
      System.IO.MemoryStream ms = new System.IO.MemoryStream();
      f1.dataSet1.WriteXml(ms);
      Page.Session.Add("thedata_resbook", ms);
      Page.Session.Add("loaded_resbook", true);
    }
    else
    {
      System.IO.MemoryStream ms = Page.Session["thedata_resbook"] as System.IO.MemoryStream;
      ms.Position = 0;
      f1.dataSet1.ReadXml(ms);
    }
    f1.gantt1.GridProperties.RootNodes_DataSource = f1.dataSet1;

  }
  protected void Gantt_ASP1_OnClientSideChangesApplied(object sender, EventArgs e)
  {
    System.IO.MemoryStream ms = new System.IO.MemoryStream();
    f1.dataSet1.WriteXml(ms);
    Page.Session.Add("thedata_resbook", ms);

  }
}
